/*******************************************************************
 *
 *	File:		ECompXLFileFormat.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2002, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/


#ifndef __ECOMPXL_FILE_FORMAT_H
#define __ECOMPXL_FILE_FORMAT_H


const unsigned KECompXLVersion1	= 1;

#define ECOMPXL_MAGIC	0x4543584C		/* "ECXL" */

typedef struct
{
	unsigned	iMagic;
	unsigned	iVersion;
	unsigned	iImageBaseVma;
	unsigned	iImageEntryPoint;
	unsigned	iCodeSectionVma;
	unsigned	iCodeSectionSize;
	unsigned	iBssSectionVma;
	unsigned	iBssSectionSize;
	unsigned	iDataSectionVma;
	unsigned	iDataSectionSize;
	unsigned	iImportSectionVma;
	unsigned	iImportSectionSize;
	unsigned	iRelocSectionVma;
	unsigned	iRelocSectionSize;
} TECompXLFileHeader; 


#endif			/* __ECOMPXL_FILE_FORMAT_H */

