/*******************************************************************
 *
 *	File:		ECompXLWin32Common.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2002, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __ECOMPXL_WIN32_COMMON_H
#define __ECOMPXL_WIN32_COMMON_H

#include "version.h"

const char* KOriginalPetranExe	= "petran_symbian.exe";
const char* KECompXLTran		= "ECompXLTran.exe";
const char* KPE2ECompXL			= "PE2ECompXL.exe";
const char* KECompXLExe			= "ECompXL.exe";
const char* KECompXLApp			= "ECompXL.app";
const char* KGZipExe			= "gzip.exe";


inline void PrintBanner()
{
	printf("\nECompXL: EPOC Compressed Executable Loader, version %s\n", VERSION);
	printf("Copyright (c) 2002, Peter van Sebille, www.yipton.net\n");
}


#endif			/* __ECOMPXL_WIN32_COMMON_H */

